<div
  class=""
  style="background-color: rgb(255, 255, 255); margin: 20px 20px 20px 20px"
>
  <div
    class=""
    style="margin: 20px 20px 20px 20px; padding-top: 50px; padding-bottom: 20px"
  >

    <div class="shopping-cart">
      <div class="column-labels">
      </div>

      <div class="product" *ngFor="let item of productOfCart">
        <div>
          <input
            type="checkbox"
            [(ngModel)]="item.selected"
            (change)="updateTotal(); checkIfAtLeastOneSelected()"
          />
        </div>
        <div class="product-image">
          <img [src]="item.image" />
        </div>
        <div class="product-details">
          <div class="product-title">{{ item.name }}</div>
          <!-- <p class="product-description"></p> -->
        </div>
        <div class="product-price">
          {{ item.price | currency : "VND" : true : "1.0-0" }}
        </div>
        <!-- <p class="product-description">{{ item.description }}</p> -->
        <div class="product-quantity">
          <input
            type="number"
            [(ngModel)]="item.quantity"
            (ngModelChange)="updateQuantity(item)"
          />
        </div>
        <div class="product-removal">
          <button
            class="remove-product"
            style="cursor: pointer"
            (click)="confirmRemoval(item.productId)"
          >
            <svg
              xmlns="http://www.w3.org/2000/svg"
              width="16"
              height="16"
              fill="currentColor"
              class="bi bi-trash3-fill"
              viewBox="0 0 16 16"
            >
              <path
                d="M11 1.5v1h3.5a.5.5 0 0 1 0 1h-.538l-.853 10.66A2 2 0 0 1 11.115 16h-6.23a2 2 0 0 1-1.994-1.84L2.038 3.5H1.5a.5.5 0 0 1 0-1H5v-1A1.5 1.5 0 0 1 6.5 0h3A1.5 1.5 0 0 1 11 1.5m-5 0v1h4v-1a.5.5 0 0 0-.5-.5h-3a.5.5 0 0 0-.5.5M4.5 5.029l.5 8.5a.5.5 0 1 0 .998-.06l-.5-8.5a.5.5 0 1 0-.998.06m6.53-.528a.5.5 0 0 0-.528.47l-.5 8.5a.5.5 0 0 0 .998.058l.5-8.5a.5.5 0 0 0-.47-.528M8 4.5a.5.5 0 0 0-.5.5v8.5a.5.5 0 0 0 1 0V5a.5.5 0 0 0-.5-.5"
              />
            </svg>
          </button>
        </div>
        <div class="product-line-price">
          <input
            class="none-border"
            type="text"
            [value]="item.total | currency : 'VND' : true : '1.0-0'"
            readonly
          />
        </div>
      </div>

      <div class="totals">
        <div class="totals-item">
          <label>Tổng thanh toán</label>
          <div class="totals-value" id="cart-subtotal">
            {{ totalProduct | currency : "VND" : true : "1.0-0" }}
          </div>
        </div>
      </div>

      <button  class="checkout" [disabled]="!isAtLeastOneSelected" (click)="checkout()">Đặt hàng</button>
    </div>
  </div>
</div>
